LINUX.ORG.RU

GCC 3.4.5


0

0

Вышла новая версия набора OpenSource компиляторов - GCC 3.4.5. Исправлено большое количество как внутренних ошибок (ICE), так и ошибок неверной генерации кода. Стоить заметить, что эта версия во многих случаях генерирует более быстрый код, чем компиляторы из серии 4.0.x.

ChangeLog: http://gcc.gnu.org/bugzilla/buglist.c...

Скачать: http://ftp.gnu.org/pub/gnu/gcc/gcc-3....
Зеркала: http://gcc.gnu.org/mirrors.html

>>> Подробности

★★★★★

Проверено: Casus ()

Ответ на: Re: Болван. от blaster999

Re: Болван.

Я mplayer в breezy собирал с gcc 4.0 и kernel 2.6.14ck14, полёт нормальный.

LokiAs2 ()
Ответ на: Re: Болван. от anonymous

Re: Болван.

> Вот например, у меня FC4+KDE от kde-redhat.sf.net. И затеял я отрывать
> гномолибы (мне правда нужен очень узкий круг софта, и весь он, за
> исключением фокса, либо KDE-шный, либо консольный). И не получилось:
> от гномолиб зависит сборка фокса/мозиллы, и что-то еще очень нужное,
> типа ssh (сейчас не помню), с цепочкой зависимостей типа
> ssh -> ssh-askpass-gnome -> libgnomeui.

В таких случаях нужно оторывать яйца^W^W писать bugreport'ы maintainder'у
соответствующего пакета.

$ apt-cache depends openssh-client
openssh-client
  Depends: libc6
  Depends: libcomerr2
  Depends: libedit2
  Depends: libkrb53
  Depends: libncurses5
  Depends: libselinux1
  Depends: libssl0.9.8
  Depends: zlib1g
 |Depends: debconf
  Depends: <debconf-2.0>
    cdebconf
    debconf
  Depends: adduser
  Depends: dpkg
  Suggests: ssh-askpass
    gtk-led-askpass
    ssh-askpass-fullscreen
    ssh-askpass-gnome
  Suggests: xbase-clients
  Conflicts: ssh
  Conflicts: <sftp>
  Conflicts: rsh-client
  Conflicts: ssh-krb5
  Replaces: ssh
  Replaces: ssh-krb5

Как видно, лишнего ничего нет.

Dselect ★★★ ()
Ответ на: Re: Болван. от blaster999

Re: Болван.

>> Мне спешить некуда, подожду. Тем более, что в unstable они появятся 
>> раньше (чем если бы я на своей машине собирал).

> Интересно, что за машина такая?

$ cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping	: 9
cpu MHz		: 2998.633
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips	: 5989.99

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping	: 9
cpu MHz		: 2998.633
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips	: 5989.99

> И то быстрее соберется.

Не факт.

$ cat /proc/loadavg 
4.24 4.28 4.34 5/308 8528

>> Лишних библиотек в дистрибутиве нет.

> Ага, как же. Если мне она не нужна, значит она - лишняя.

Если хоть какая-то из установленная софтина ее пользует, значит, не
лишняя.

> Я как-то пробовал де-гномизировать mandrake и обломился - там
> даже cdrtools кучу gtkшных и gtkобразных либ тащат.

Но КАК?! (C) Известный анекдот.

Dselect ★★★ ()
Ответ на: Re: Болван. от Dselect

Re: Болван.

>Если хоть какая-то из установленная софтина ее пользует, значит, не лишняя.

А если эту софтину пересобрать, не линкуя с этой либой, то она перестает быть нужной?

blaster999 ★★ ()
Ответ на: Re: Болван. от blaster999

Re: Болван.

>> Если хоть какая-то из установленная софтина ее пользует, значит,
>> не лишняя.

> А если эту софтину пересобрать, не линкуя с этой либой, то она
> перестает быть нужной?

Если можно (т.е., если софтина работоспособна без libfoo и при этом
не вылезает куча багов, про которые авторы говорят -- "собирай
нашу поделку с libfoo"), то это наверняка это уже сделал maintainer.

А вообще, слишком абстрактные рассуждения. Можно конкретнее? Например,
я парой постов ниже привел зависимости openssh-client. Что там не 
нужно и без чего его можно пересобрать?

Да, и напоследок вопрос: а зачем вообще нужно избавляться от "лишних"
библиотек? Бред вида "места меньше занимает" сразу идет в /dev/null:
а сколько места занимают помои /usr/portage и /var/cache/edb, а?

Dselect ★★★ ()

Re: GCC 3.4.5

А с aRts и amarok ни у кого проблем не было? Если GCC4 их собирать?

adarovsky ★★★★ ()
Ответ на: Re: Болван. от Dselect

Re: Болван.

>> А если эту софтину пересобрать, не линкуя с этой либой, то она перестает быть нужной?

>Если можно (т.е., если софтина работоспособна без libfoo и при этом не вылезает куча багов, про которые авторы говорят -- "собирай нашу поделку с libfoo"), то это наверняка это уже сделал maintainer.

Я не об этом. Скажем, у меня нету принтера (и никогда не будет). В дженту я ставлю USE = "-cups" - и все программы, в которых есть опциональная поддержка CUPS, компилируются без нее (и сам CUPS со всеми его зависимостями тоже не ставится).

>А вообще, слишком абстрактные рассуждения. Можно конкретнее? Например, я парой постов ниже привел зависимости openssh-client. Что там не нужно и без чего его можно пересобрать?

Можно. Хотя бы тот же cdrtools в Мандрейке, который содержал в себе не нужный мне фронтэнд на GTK (и тащил за собой кучу GTK библиотек). Если бы я хотел поставить только CLI тулзы (без иксов), то обломился бы - cdrtools потащат за собой и иксы, и GTK.

>а, и напоследок вопрос: а зачем вообще нужно избавляться от "лишних" библиотек? Бред вида "места меньше занимает" сразу идет в /dev/null: а сколько места занимают помои /usr/portage и /var/cache/edb, а?

/usr/portage у меня один на все машины (доступ по nfs), а /var/cache/edb - меньше, чем 20 метров.

blaster999 ★★ ()
Ответ на: Re: Болван. от blaster999

Re: Болван.

> Я не об этом. Скажем, у меня нету принтера (и никогда не будет). В дженту
> я ставлю USE = "-cups" - и все программы, в которых есть опциональная
> поддержка CUPS, компилируются без нее (и сам CUPS со всеми его зависимостями
> тоже не ставится).

libcupsysN, от которой зависят все программы, в которых есть поддержка
CUPS, занимает аж 212kb. Зависимостей у нее с гулькин нос:

$ apt-cache depends libcupsys2 | grep Depends:
  Depends: libc6
  Depends: libgnutls12
  Depends: zlib1g

CUPS со всеми его зависимостями тоже не обязателен, потому, что там
не Depends, а Recommends. Так что никакая пересборка нафиг не нужна.

> Хотя бы тот же cdrtools в Мандрейке, который содержал в себе не 
> нужный мне фронтэнд на GTK (и тащил за собой кучу GTK библиотек).
> Если бы я хотел поставить только CLI тулзы (без иксов), то обломился
> бы - cdrtools потащат за собой и иксы, и GTK.

Может, у maintainer'а запой был? Хотя они не русские, так что...
Не верю. (C) Станиславский К.С.


$ apt-cache depends cdrecord
cdrecord
  Depends: libc6
  Depends: libcap1
 |Depends: debconf
  Depends: <debconf-2.0>
    cdebconf
    debconf
  Depends: makedev
  Suggests: xcdroast
  Suggests: cdrtools-doc
  Recommends: mkisofs
  Conflicts: xcdroast
  Replaces: cdrtools-doc

Dselect ★★★ ()
Ответ на: Re: Болван. от Dselect

Re: Болван.

Не бойся, товарищ, и в дебиане есть к чему докопаться.

А cups привел как пример. Таких примеров - сотни. Там - поддержка сканера, тут - карт видеозахвата, здесь то, там сё. За почти год на мандрейке я на такие странные зависимости насмотрелся, что уже ничему не удивляюсь.

В общем, кому rpm, кому apt-get, а кому и emerge -- и прошу не пытаться переубедить, бесполезно :)

blaster999 ★★ ()
Ответ на: Re: Болван. от blaster999

Re: Болван.

> Не бойся, товарищ, и в дебиане есть к чему докопаться.

Специально для этого есть submit@bugs.debian.org -- докапывайтесь,
сколько влезет.

> В общем, кому rpm, кому apt-get, а кому и emerge

Неправильно это. One ring to rule 'em all.

Ну а пЫонерия вида "вот я сейчас соберу все с -O3 под свое железо, и у меня
КААК заработает все в N раз быстрее" -- это вообще топливо для биореактора.

> -- и прошу не пытаться переубедить, бесполезно :)

И не буду... Лучше пойду кефир пить :)

Q: Как остановить двух UNIXоидов, избивающих ламера?
A: Спросить у них, какой UNIX лучше.

Dselect ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.